SPA Users

SPA: Retrieves a paginated list of Users

Returns a paginated list of users for the authenticated user's client. Requires ROLE_ADMIN.

GET/api/spa/users

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

itemsPerPage
integerdefault:20

The number of items per page

pagination
boolean

Enable or disable pagination

email
string

No description provided.

active
boolean

No description provided.

order[id]
stringdefault:asc

No description provided.

order[email]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

Response

200application/json

User collection

id
integer
email
string<email>
roles
string | null[]
invalidRoleValues
string | null[]
adminNote
string | null
password
string
active
boolean

Available options: truefalse

Example: true

lastLoginDate
string<date-time> | null
previousLoginDate
string<date-time> | null
releaseNotesDate
string<date-time> | null
authCode
string | null
locale
string

Example: "en"

signature
string | null

Personal signature image (base64 encoded PNG, without data-URI prefix).

sharePointEmail
string | null

Microsoft 365 account email used for SharePoint document editing when it differs from the application login email.

client
object
subClient
object
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

userIdentifier
string

A visual identifier that represents this user.

emailAuthEnabled
boolean

Available options: truefalse

emailAuthRecipient
string
emailAuthCode
string
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"